{ config, lib, pkgs,
  nixpkgs-unstable, nixpkgs-stable, nixpkgs-git,
  ... }:

let
  callPackage = pkgs.callPackage;
in {
  nixpkgs = {
    config = {
      allowUnfree = true;
      mpv.vaapiSupport = (lib.elem "xserver" config.machine.services);

      packageOverrides = {
        theme_flat-remix = callPackage ./flat-remix { };
        theme_sddm_midnight = callPackage ./sddm_midnight { };
        xdiskusage = callPackage ./xdiskusage { };
      };
    };
    overlays = [
      (final: prev: {
        gitpkgs = nixpkgs-git.legacyPackages."${prev.system}";
        stablepkgs = nixpkgs-stable.legacyPackages."${prev.system}";
        unstablepkgs = nixpkgs-unstable.legacyPackages."${prev.system}";
      })
    ];
  };
}
